# Class MenuManip

- Defined in src/test/settingMenu/helpers/menuManip.ts:13

#####
Index

### Constructors

constructor

### Properties

config
icon
iconDisplayed
keycode
settingName
specialCaseIcon

### Methods

butLetsForceIt
confirm
confirmAssignment
convertNameToButtonString
iconDisplayedIs
nothingShouldHappen
thereShouldBeNoIcon
thereShouldBeNoIconAnymore
weCantAssignThisKey
weCantDelete
weCantOverrideThisBind
weWantThisBindInstead
whenCursorIsOnSetting
whenWeDelete
whenWeTryToDelete

## Constructors

### constructor

- new MenuManip(config): MenuManip

- #### Parameters

  - config: any

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:21

## Properties

### `Private` config

config: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:14

### `Private` icon

icon: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:17

### `Private` iconDisplayed

iconDisplayed: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:18

### `Private` keycode

keycode: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:16

### `Private` settingName

settingName: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:15

### `Private` specialCaseIcon

specialCaseIcon: any

- Defined in src/test/settingMenu/helpers/menuManip.ts:19

## Methods

### butLetsForceIt

- butLetsForceIt(): void

- #### Returns void

  - Defined in src/test/settingMenu/helpers/menuManip.ts:106

### confirm

- confirm(): void

- #### Returns void

  - Defined in src/test/settingMenu/helpers/menuManip.ts:111

### confirmAssignment

- confirmAssignment(): void

- #### Returns void

  - Defined in src/test/settingMenu/helpers/menuManip.ts:102

### convertNameToButtonString

- convertNameToButtonString(input): any

- #### Parameters

  - input: any

  #### Returns any

  - Defined in src/test/settingMenu/helpers/menuManip.ts:29

### iconDisplayedIs

- iconDisplayedIs(icon): MenuManip

- #### Parameters

  - icon: any

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:53

### nothingShouldHappen

- nothingShouldHappen(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:72

### thereShouldBeNoIcon

- thereShouldBeNoIcon(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:68

### thereShouldBeNoIconAnymore

- thereShouldBeNoIconAnymore(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:62

### weCantAssignThisKey

- weCantAssignThisKey(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:115

### weCantDelete

- weCantDelete(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:126

### weCantOverrideThisBind

- weCantOverrideThisBind(): MenuManip

- #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:121

### weWantThisBindInstead

- weWantThisBindInstead(keycode): MenuManip

- #### Parameters

  - keycode: any

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:78

### whenCursorIsOnSetting

- whenCursorIsOnSetting(settingName): MenuManip

- #### Parameters

  - settingName: any

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:45

### whenWeDelete

- whenWeDelete(settingName?): MenuManip

- #### Parameters

  - `Optional` settingName: string

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:88

### whenWeTryToDelete

- whenWeTryToDelete(settingName?): MenuManip

- #### Parameters

  - `Optional` settingName: string

  #### Returns MenuManip

  - Defined in src/test/settingMenu/helpers/menuManip.ts:96